#version 430 core

#version 430

in vec2 texCoords;
out vec4 color;

uniform sampler2D fbTexture;

void main()
{
	int filterSz = 0;
	vec4 result = 0.0f;
	for(int x = -filterSz; x <= filterSz; ++x)
	{
		for(int y = -filterSz; y <= filterSz; ++y)
		{
			result += texture(texCoords).rgb;
		}    
	}
	result /= pow(2 * filterSz + 1, 2);
	color = vec4(result, 1.0f);


}


