//based on Tutorial (https://learnopengl.com/#!Lighting/Multiple-lights) by JoeyDeVries

#version 430 core
layout (location = 0) in vec3 in_position;
layout (location = 1) in vec2 in_texCoords;

out vec2 texCoords;

uniform mat4 model;
uniform mat4 view;
uniform mat4 projection;

void main()
{
    texCoords = in_texCoords;
	gl_Position = projection * view * model * vec4(in_position, 1.0f);
}